コンテンツへスキップ

Bria Increase Resolution

統合

モデルID bria/increase-resolution
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/increase-resolution?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.04 40 APIクレジット このページで実行

APIキーを取得
Bria AI · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 image_url
ファイルをドロップ、または

アップスケール対象の画像を指す URL。

詳細設定 desired_increase · output_type · preserve_alpha · preserve_color
desired_increase デフォルト 2

拡大倍率。各倍率に個別のSwinIRチェックポイントを使用します。

output_type デフォルト png

画像の出力形式。JPEGを選択すると、その形式はアルファをサポートしないため`preserve_alpha`は無効になります。

POST /run/bria/increase-resolution?wait=20 見積もり → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/increase-resolution?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Bria Increase Resolutionについて

`desired_increase` で指定した 2 または 4 倍に既存画像を拡大します。入力は単一の `image_url` です。`preserve_alpha` は元画像の透明度を維持し、`preserve_color` は元画像を基準に色かぶりを補正します。出力は `png` または `jpeg` です。JPEG はアルファチャンネルを持たないため、透明度は失われます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
image_url必須 image
型url · image
アップスケール対象の画像を指す URL。
desired_increase任意
型enum
デフォルト2
24
拡大倍率。各倍率に個別のSwinIRチェックポイントを使用します。
preserve_alpha任意
型boolean
デフォルトtrue
出力で元のアルファチャンネルを復元する。
preserve_color任意
型boolean
デフォルトfalse
拡大画像の色かぶりを元画像に合わせて調整する。
output_type任意
型enum
デフォルトpng
pngjpeg
画像の出力形式。JPEGを選択すると、その形式はアルファをサポートしないため`preserve_alpha`は無効になります。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/increase-resolution",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
image
object {url, content_type, file_name, file_size, width, height}拡大によって生成された画像。

その他のモデル: アップスケール

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/bria/increase-resolution.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt